Cancel subscription
curl --request POST \
--url https://api.confiopagos.com/v1/stores/{store}/subscription-plans/{plan}/subscriptions/{subscription}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Customer requested cancellation"
}
'import requests
url = "https://api.confiopagos.com/v1/stores/{store}/subscription-plans/{plan}/subscriptions/{subscription}/cancel"
payload = { "reason": "Customer requested cancellation" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Customer requested cancellation'})
};
fetch('https://api.confiopagos.com/v1/stores/{store}/subscription-plans/{plan}/subscriptions/{subscription}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Cancel subscription
Cancel a subscription. This will immediately stop billing and mark the subscription as canceled.
POST
/
v1
/
stores
/
{store}
/
subscription-plans
/
{plan}
/
subscriptions
/
{subscription}
/
cancel
Cancel subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"01G65Z755AFWAKHE12NY0CQ9FH"
Example:
"01JNRVWWHH68E76V3TMFFT6GHJ"
Example:
"01JNRVWWHH68E76V3TMFFT6GHJ"
Body
application/json
Reason for cancellation
Example:
"Customer requested cancellation"
Response
200 - application/json
Successfully canceled subscription.
The response is of type object.
⌘I